$!
$! Make ImageMagick X image utilities for VMS.
$!
$
$define/nolog X11 decw$include:
$!define sys sys$common:[decc$lib.include]
$link_options="/nodebug/notraceback"
$
$write sys$output "Making Magick..."
$call Make widget
$call Make X
$call Make image
$call Make shear
$call Make quantize
$call Make colors
$call Make signature
$call Make decode  ("HasJPEG","HasTIFF","HasXPM","HasMPEG")
$call Make encode  ("HasJPEG","HasTIFF","HasXPM")
$call Make compress
$call Make utility
$call Make error
$call Make PreRvIcccm
$call Make Vms
$exit
$
$Make: subroutine
$!
$! A very primitive "make" (or MMS) hack for DCL.
$!
$if (p1.eqs."") then exit
$source_file=f$search(f$parse(p1,".c"))
$if (source_file.nes."")
$  then
$    object_file=f$parse(source_file,,,"name")+".obj"
$    object_file=f$search( object_file )
$    if (object_file.nes."")
$      then
$        object_time=f$file_attribute(object_file,"cdt")
$        source_time=f$file_attribute(source_file,"cdt")
$        if (f$cvtime(object_time).lts.f$cvtime(source_time)) then -
$          object_file=""
$      endif
$    if (object_file.eqs."")
$      then
$        write sys$output "Compiling ",p1
$ if (p2.eqs."")
$      then
$        cc/decc/standar=vaxc/nodebug/optimize/ -
             include_directory=([-],[-.jpeg],[-.tiff],[-.xpm],[-.mpeg]) 'source_file'
$      else
$        cc/decc/standar=vaxc/nodebug/optimize/ -
             include_directory=([-],[-.jpeg],[-.tiff],[-.xpm],[-.mpeg]) /define='p2' -
             'source_file'  
$      endif
$  endif
$exit
$endsubroutine

